Index: trunk/calendar/inc/class.boicalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.boicalendar.inc.php	(revision 3736)
+++ trunk/calendar/inc/class.boicalendar.inc.php	(revision 5132)
@@ -1596,304 +1540,231 @@
 			$param = $this->find_parameters($property);
 
-			if($property == 'exdate')
-			{
-				while(list($key,$value) = each($event))
-				{
+		if ($property == 'exdate') {
+			while (list ($key, $value) = each($event)) {
 					$exdates[] = $this->switch_date($value);
 				}
-				return ':'.implode($exdates,',');
-			}
-			else
-			{
-				while(list($dumb_key,$key) = each($param))
-				{
-					if($key == 'value')
-					{
+			return ':' . implode($exdates, ',');
+		} else {
+			while (list ($dumb_key, $key) = each($param)) {
+				if ($key == 'value') {
 						continue;
 					}
-					if($key == 'mailto')
-					{
+				if ($key == 'mailto') {
 						$include_mailto = True;
 						continue;
 					}
-					$param_array = @$this->parameter[$key];
-					$type = @$this->parameter[$key]['type'];
-					if($type == 'date-time')
-					{
+				$param_array = @ $this->parameter[$key];
+				$type = @ $this->parameter[$key]['type'];
+				if ($type == 'date-time') {
 						$include_datetime = True;
 						continue;
 					}
-					$quote = (@$this->parameter[$key]['quoted']?'"':'');
-					if(isset($event[$key]) && @$this->parameter[$key]['properties'][$property])
-					{
-						$change_text = @$this->parameter[$key]['to_text'];
+				$quote = (@ $this->parameter[$key]['quoted'] ? '"' : '');
+				if (isset ($event[$key]) && @ $this->parameter[$key]['properties'][$property]) {
+					$change_text = @ $this->parameter[$key]['to_text'];
 						$value = $event[$key];
-						if($change_text && $type == 'text')
-						{
+					if ($change_text && $type == 'text') {
 							$value = $this->to_text($value);
 						}
-						switch($type)
-						{
-							case 'dir':
-								$str .= ';'.str_replace('_','-',strtoupper($key)).'='.$quote.$this->to_dir($value).$quote;
+					switch ($type) {
+						case 'dir' :
+							$str .= ';' . str_replace('_', '-', strtoupper($key)) . '=' . $quote . $this->to_dir($value) . $quote;
 								break;
-							case 'function':
-								$str .= ';'.str_replace('_','-',strtoupper($key)).'=';
+						case 'function' :
+							$str .= ';' . str_replace('_', '-', strtoupper($key)) . '=';
 								$function = $this->parameter[$key]['function'];
-								$this->debug($key.' Function Param : '.$value);
-								$str .= $quote.$this->$function($value).$quote;
+							$this->debug($key . ' Function Param : ' . $value);
+							$str .= $quote . $this-> $function ($value) . $quote;
 								break;
-							case 'text':
-							case 'string':
-								$str .= ';'.strtoupper($key).'='.$quote.$value.$quote;
+						case 'text' :
+						case 'string' :
+							$str .= ';' . strtoupper($key) . '=' . $quote . $value . $quote;
 								break;
-							case 'date-time':
-								$str .= ($key=='until'?':':';UNTIL=').date('Ymd\THis',mktime($event['hour'],$event['min'],$event['sec'],$event['month'],$event['mday'],$event['year'])).(!@isset($event['tzid'])?'Z':'');
+						case 'date-time' :
+							$str .= ($key == 'until' ? ':' : ';UNTIL=') . date('Ymd\THis', mktime($event['hour'], $event['min'], $event['sec'], $event['month'], $event['mday'], $event['year'])) . (!@ isset ($event['tzid']) ? 'Z' : '');
 								break;
 						}
-						unset($value);
-					}
-				}
-
-				if(!empty($event['x_type']))
-				{
+					unset ($value);
+					}
+				}
+
+			if (!empty ($event['x_type'])) {
 					$c_x_type = count($event['x_type']);
-					for($j=0;$j<$c_x_type;$j++)
-					{
-						$str .= ';'.$this->build_xtype($event['x_type'][$j],'=');
-					}
-				}
-				if(!empty($event['value']))
-				{
-					if($property == 'trigger')
-					{
+				for ($j = 0; $j < $c_x_type; $j++) {
+					$str .= ';' . $this->build_xtype($event['x_type'][$j], '=');
+					}
+				}
+			if (!empty ($event['value'])) {
+				if ($property == 'trigger') {
 						$seperator = ';';
-					}
-					else
-					{
+				} else {
 						$seperator = ':';
 					}
-					$str .= $seperator.($this->parameter['value']['to_text']?$this->to_text($event['value']):$event['value']);
-				}
-				if($include_mailto == True)
-				{
+				$str .= $seperator . ($this->parameter['value']['to_text'] ? $this->to_text($event['value']) : $event['value']);
+				}
+			if ($include_mailto == True) {
 					$key = 'mailto';
 					$function = $this->parameter[$key]['function'];
-					$ret_value = $this->$function($event[$key]);
-					$str .= ($ret_value?':'.$ret_value:'');
-				}
-				if($include_datetime == True || @$this->property[$property]['type'] == 'date-time')
-				{
-					$str .= ':'.date('Ymd\THis',mktime($event['hour'],$event['min'],$event['sec'],$event['month'],$event['mday'],$event['year'])).(!@isset($event['tzid'])?'Z':'');
-				}
-				return ($property=='rrule'?':'.substr($str,1):$str);
-			}
-		}
-
-		function build_text($event,$property)
-		{
+				$ret_value = $this-> $function ($event[$key]);
+				$str .= ($ret_value ? ':' . $ret_value : '');
+				}
+			if ($include_datetime == True || @ $this->property[$property]['type'] == 'date-time') {
+				$str .= ':' . date('Ymd\THis', mktime($event['hour'], $event['min'], $event['sec'], $event['month'], $event['mday'], $event['year'])) . (!@ isset ($event['tzid']) ? 'Z' : '');
+				}
+			return ($property == 'rrule' ? ':' . substr($str, 1) : $str);
+			}
+		}
+
+	function build_text($event, $property) {
 			$str = '';
 			$param = $this->find_parameters($property);
-			while(list($dumb_key,$key) = each($param))
-			{
-				if(!empty($event[$key]) && $key != 'value')
-				{
-					$type = @$this->parameter[$key]['type'];
-					$quote = @$this->parameter[$key]['quote'];
-					if(@$this->parameter[$key]['to_text'] == True)
-					{
+		while (list ($dumb_key, $key) = each($param)) {
+			if (!empty ($event[$key]) && $key != 'value') {
+				$type = @ $this->parameter[$key]['type'];
+				$quote = @ $this->parameter[$key]['quote'];
+				if (@ $this->parameter[$key]['to_text'] == True) {
 						$value = $this->to_text($event[$key]);
-					}
-					else
-					{
+				} else {
 						$value = $event[$key];
 					}
-					switch($type)
-					{
-						case 'text':
-						$str .= ';'.strtoupper($key).'='.$quote.$value.$quote;
-						break;
-					}
-				}
-			}
-			if(!empty($event['x_type']))
-			{
+				switch ($type) {
+					case 'text' :
+						$str .= ';' . strtoupper($key) . '=' . $quote . $value . $quote;
+						break;
+					}
+				}
+			}
+		if (!empty ($event['x_type'])) {
 				$c_x_type = count($event['x_type']);
-				for($j=0;$j<$c_x_type;$j++)
-				{
-					$str .= ';'.$this->build_xtype($event['x_type'][$j],'=');
-				}
-			}
-			if(!empty($event['value']))
-			{
-				$str .= ':'.($this->parameter['value']['to_text']?$this->to_text($event['value']):$event['value']);
+			for ($j = 0; $j < $c_x_type; $j++) {
+				$str .= ';' . $this->build_xtype($event['x_type'][$j], '=');
+				}
+			}
+		if (!empty ($event['value'])) {
+			$str .= ':' . ($this->parameter['value']['to_text'] ? $this->to_text($event['value']) : $event['value']);
 			}
 			return $str;
 		}
 
-		function build_card_internals($ical_item,$event)
-		{
+	function build_card_internals($ical_item, $event) {
 			$prop = $this->find_properties($ical_item);
 			reset($prop);
-			while(list($dumb_key,$key) = each($prop))
-			{
+		while (list ($dumb_key, $key) = each($prop)) {
 				$value  = $key;
 				$varray = $this->property[$key];
 				$type   = $varray['type'];
 				$to_text = $varray['to_text'];
-				$state  = @$varray[$ical_item]['state'];
-				$multiples  = @$varray[$ical_item]['multiples'];
-				switch($type)
-				{
-					case 'date-time':
-						if(!empty($event[$value]))
-						{
-							if($multiples && $value != 'exdate')
-							{
-								for($i=0;$i<count($event[$value]);$i++)
-								{
-									$str .= $this->fold(strtoupper(str_replace('_','-',$value)).$this->build_parameters($event[$value][$i],$value));
+			$state = @ $varray[$ical_item]['state'];
+			$multiples = @ $varray[$ical_item]['multiples'];
+			switch ($type) {
+				case 'date-time' :
+					if (!empty ($event[$value])) {
+						if ($multiples && $value != 'exdate') {
+							for ($i = 0; $i < count($event[$value]); $i++) {
+								$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value][$i], $value));
+								}
+						} else {
+							$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value], $value));
+							}
+						}
+					elseif ($value == 'dtstamp' || $value == 'created') {
+						$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . ':' . gmdate('Ymd\THis\Z'));
+						}
+						break;
+				case 'uri' :
+					if (!empty ($event[$value])) {
+						for ($i = 0; $i < count($event[$value]); $i++) {
+							$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value][$i], $to_text));
+							}
+						}
+						break;
+				case 'recur' :
+					if (!empty ($event[$value])) {
+						if ($multiples) {
+							for ($i = 0; $i < count($event[$value]); $i++) {
+								$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value][$i], $value));
+							}
+						} else {
+							$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value], $value));
+							}
+						}
+						break;
+				case 'integer' :
+					if (!empty ($event[$value])) {
+						$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . ':' . $event[$value]);
+						}
+					elseif ($value == 'sequence' || $value == 'percent_complete') {
+						$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . ':0');
+						}
+						break;
+				case 'function' :
+					$str .= ';' . str_replace('_', '-', strtoupper($value)) . '=';
+					$function = @ $this->parameter[$key]['function'];
+					$str .= (@ $this->parameter[$key]['quoted'] ? '"' : '') . $this-> $function ($event[$key]) . (@ $this->parameter[$key]['quoted'] ? '"' : '');
+						break;
+				case 'float' :
+					if (!empty ($event[$value])) {
+						$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . ':' . $event[$value]['lat'] . ';' . $event[$value]['lon']);
+						}
+						break;
+				case 'text' :
+					if (isset ($event[$value])) {
+						if (@ $this->parameter[$key]['type'] != 'function') {
+							if ($multiples && count($event[$value]) > 1) {
+								for ($i = 0; $i < count($event[$value]); $i++) {
+									$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value][$i], $value));
+								}
+							} else {
+								$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $this->build_parameters($event[$value], $value));
+							}
+						} else {
+								$function = $this->parameter[$value]['function'];
+							if ($multiples) {
+								for ($i = 0; $i < count($event[$value]); $i++) {
+									$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . ':' . $this-> $function ($event[$value][$i]));
+								}
+							} else {
+								$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . ':' . $this-> $function ($event[$value]));
 								}
 							}
-							else
-							{
-								$str .= $this->fold(strtoupper(str_replace('_','-',$value)).$this->build_parameters($event[$value],$value));
+						}
+						break;
+				case 'cal-address' :
+					if (is_array($event[$value][0])) {
+						for ($j = 0; $j < count($event[$value]); $j++) {
+							$temp_output = $this->build_parameters($event[$value][$j], $value);
+							if ($temp_output) {
+								$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $temp_output);
 							}
 						}
-						elseif($value == 'dtstamp' || $value == 'created')
-						{
-							$str .= $this->fold(strtoupper(str_replace('_','-',$value)).':'.gmdate('Ymd\THis\Z'));
-						}
-						break;
-					case 'uri':
-						if(!empty($event[$value]))
-						{
-							for($i=0;$i<count($event[$value]);$i++)
-							{
-								$str .= $this->fold(strtoupper(str_replace('_','-',$value)).$this->build_parameters($event[$value][$i],$to_text));
+					} else {
+						$temp_output = $this->build_parameters($event[$value], $value);
+						if ($temp_output) {
+							$str .= $this->fold(strtoupper(str_replace('_', '-', $value)) . $temp_output);
 							}
 						}
 						break;
-					case 'recur':
-						if(!empty($event[$value]))
-						{
-							if($multiples)
-							{
-								for($i=0;$i<count($event[$value]);$i++)
-								{
-									$str .= $this->fold(strtoupper(str_replace('_','-',$value)).$this->build_parameters($event[$value][$i],$value));
-								}
-							}
-							else
-							{
-								$str .= $this->fold(strtoupper(str_replace('_','-',$value)).$this->build_parameters($event[$value],$value));
-							}
-						}
-						break;
-					case 'integer':
-						if(!empty($event[$value]))
-						{
-							$str .= $this->fold(strtoupper(str_replace('_','-',$value)).':'.$event[$value]);
-						}
-						elseif($value == 'sequence' || $value == 'percent_complete')
-						{
-							$str .= $this->fold(strtoupper(str_replace('_','-',$value)).':0');
-						}
-						break;
-					case 'function':
-						$str .= ';'.str_replace('_','-',strtoupper($value)).'=';
-						$function = @$this->parameter[$key]['function'];
-						$str .= (@$this->parameter[$key]['quoted']?'"':'').$this->$function($event[$key]).(@$this->parameter[$key]['quoted']?'"':'');
-						break;
-					case 'float':
-						if(!empty($event[$value]))
-						{
-							$str .= $this->fold(strtoupper(str_replace('_','-',$value)).':'.$event[$value]['lat'].';'.$event[$value]['lon']);
-						}
-						break;
-					case 'text':
-						if(isset($event[$value]))
-						{
-							if(@$this->parameter[$key]['type'] != 'function')
-							{
-								if($multiples && count($event[$value]) > 1)
-								{
-									for($i=0;$i<count($event[$value]);$i++)
-									{
-										$str .= $this->fold(strtoupper(str_replace('_','-',$value)).$this->build_parameters($event[$value][$i],$value));
-									}
-								}
-								else
-								{
-									$str .= $this->fold(strtoupper(str_replace('_','-',$value)).$this->build_parameters($event[$value],$value));
-								}
-							}
-							else
-							{
-								$function = $this->parameter[$value]['function'];
-								if($multiples)
-								{
-									for($i=0;$i<count($event[$value]);$i++)
-									{
-										$str .= $this->fold(strtoupper(str_replace('_','-',$value)).':'.$this->$function($event[$value][$i]));
-									}
-								}
-								else
-								{
-									$str .= $this->fold(strtoupper(str_replace('_','-',$value)).':'.$this->$function($event[$value]));
-								}
-							}
-						}
-						break;
-					case 'cal-address':
-						if(is_array($event[$value][0]))
-						{
-							for($j=0;$j<count($event[$value]);$j++)
-							{
-								$temp_output = $this->build_parameters($event[$value][$j],$value);
-								if($temp_output)
-								{
-									$str .= $this->fold(strtoupper(str_replace('_','-',$value)).$temp_output);
-								}
-							}
-						}
-						else
-						{
-							$temp_output = $this->build_parameters($event[$value],$value);
-							if($temp_output)
-							{
-								$str .= $this->fold(strtoupper(str_replace('_','-',$value)).$temp_output);
-							}
-						}
-						break;
-				}
-			}
-			if(!empty($event['x_type']))
-			{
-				for($i=0;$i<count($event['x_type']);$i++)
-				{
-					$str .= $this->build_xtype($event['x_type'][$i],':');
-				}
-			}
-
-			if($ical_item == 'vtimezone')
-			{
-				if($event['tzdata'])
-				{
-					for($k=0;$k<count($event['tzdata']);$k++)
-					{
-						$str .= 'BEGIN:'.strtoupper($event['tzdata'][$k]['type'])."\r\n";
-						$str .= $this->build_card_internals(strtolower($event['tzdata'][$k]['type']),$event['tzdata'][$k]);
-						$str .= 'END:'.strtoupper($event['tzdata'][$k]['type'])."\r\n";
-					}
-				}
-			}
-			elseif($event['alarm'])
-			{
-				for($k=0;$k<count($event['alarm']);$k++)
-				{
-					$str .= 'BEGIN:VALARM'."\r\n";
-					$str .= $this->build_card_internals('valarm',$event['alarm'][$k]);
-					$str .= 'END:VALARM'."\r\n";
+				}
+			}
+		if (!empty ($event['x_type'])) {
+			for ($i = 0; $i < count($event['x_type']); $i++) {
+				$str .= $this->build_xtype($event['x_type'][$i], ':');
+				}
+			}
+
+		if ($ical_item == 'vtimezone') {
+			if ($event['tzdata']) {
+				for ($k = 0; $k < count($event['tzdata']); $k++) {
+					$str .= 'BEGIN:' . strtoupper($event['tzdata'][$k]['type']) . "\r\n";
+					$str .= $this->build_card_internals(strtolower($event['tzdata'][$k]['type']), $event['tzdata'][$k]);
+					$str .= 'END:' . strtoupper($event['tzdata'][$k]['type']) . "\r\n";
+					}
+				}
+			}
+		elseif ($event['alarm']) {
+			for ($k = 0; $k < count($event['alarm']); $k++) {
+				$str .= 'BEGIN:VALARM' . "\r\n";
+				$str .= $this->build_card_internals('valarm', $event['alarm'][$k]);
+				$str .= 'END:VALARM' . "\r\n";
 				}
 			}
@@ -1905,37 +1776,31 @@
 		*/
 		
-		function parse_user_host ($var)
-		{
+	function parse_user_host($var) {
 			return $this->switch_mailto($var);	
 		}
 
-		function switch_class($var)
-		{
-			if(is_string($var))
-			{
-				switch($var)
-				{
-					case '_PRIVATE':
+	function switch_class($var) {
+		if (is_string($var)) {
+			switch ($var) {
+				case '_PRIVATE' :
 						$var = _PRIVATE;
 						break;
-					case '_PUBLIC':
+				case '_PUBLIC' :
 						$var = _PUBLIC;
 						break;
-					case '_CONFIDENTIAL':
+				case '_CONFIDENTIAL' :
 						$var = _CONFIDENTIAL;
 						break;
 				}
 			}
-			elseif(is_int($var))
-			{
-				switch((int)$var)
-				{
-					case _PRIVATE:
+		elseif (is_int($var)) {
+			switch ((int) $var) {
+				case _PRIVATE :
 						$var = '_PRIVATE';
 						break;
-					case _PUBLIC:
+				case _PUBLIC :
 						$var = '_PUBLIC';
 						break;
-					case _CONFIDENTIAL:
+				case _CONFIDENTIAL :
 						$var = '_CONFIDENTIAL';
 						break;
@@ -1945,93 +1810,77 @@
 		}
 
-		function switch_cu($var)
-		{
-			if(gettype($var) == 'string')
-			{
-				switch($var)
-				{
-					case 'INDIVIDUAL':
+	function switch_cu($var) {
+		if (gettype($var) == 'string') {
+			switch ($var) {
+				case 'INDIVIDUAL' :
 						return INDIVIDUAL;
 						break;
-					case 'GROUP':
+				case 'GROUP' :
 						return GROUP;
 						break;
-					case 'RESOURCE':
+				case 'RESOURCE' :
 						return RESOURCE;
 						break;
-					case 'ROOM':
+				case 'ROOM' :
 						return ROOM;
 						break;
-					case 'UNKNOWN':
+				case 'UNKNOWN' :
 						return UNKNOWN;
 						break;
-					default:
+				default :
 						return OTHER;
 						break;
 				}
 			}
-			elseif(gettype($var) == 'integer')
-			{
-				switch($var)
-				{
-					case INDIVIDUAL:
+		elseif (gettype($var) == 'integer') {
+			switch ($var) {
+				case INDIVIDUAL :
 						return 'INDIVIDUAL';
 						break;
-					case GROUP:
+				case GROUP :
 						return 'GROUP';
 						break;
-					case RESOURCE:
+				case RESOURCE :
 						return 'RESOURCE';
 						break;
-					case ROOM:
+				case ROOM :
 						return 'ROOM';
 						break;
-					case UNKNOWN:
+				case UNKNOWN :
 						return 'UNKNOWN';
 						break;
-					default:
+				default :
 						return 'X-OTHER';
 						break;
 				}
-			}
-			else
-			{
+		} else {
 				return $var;
 			}
 		}
 
-		function switch_date($var)
-		{
-		$this->debug('SWITCH_DATE: gettype = '.gettype($var));
-			if(is_string($var))
-			{
-				$dtime = Array();
-				if(strpos($var,':'))
-				{
-					$pos = explode(':',$var);
+	function switch_date($var) {
+		$this->debug('SWITCH_DATE: gettype = ' . gettype($var));
+		if (is_string($var)) {
+			$dtime = Array ();
+			if (strpos($var, ':')) {
+				$pos = explode(':', $var);
 					$var = $pos[1];
 				}
-				$this->set_var($dtime,'year',(int)(substr($var,0,4)));
-				$this->set_var($dtime,'month',(int)(substr($var,4,2)));
-				$this->set_var($dtime,'mday',(int)(substr($var,6,2)));
-				if(substr($var,8,1) == 'T')
-				{
-					$this->set_var($dtime,'hour',(int)(substr($var,9,2)));
-					$this->set_var($dtime,'min',(int)(substr($var,11,2)));
-					$this->set_var($dtime,'sec',(int)(substr($var,13,2)));
-					if(strlen($var) > 14)
-					{
-						if(substr($var,14,1) != 'Z')
-						{
-							if($this->api)
-							{
+			$this->set_var($dtime, 'year', (int) (substr($var, 0, 4)));
+			$this->set_var($dtime, 'month', (int) (substr($var, 4, 2)));
+			$this->set_var($dtime, 'mday', (int) (substr($var, 6, 2)));
+			if (substr($var, 8, 1) == 'T') {
+				$this->set_var($dtime, 'hour', (int) (substr($var, 9, 2)));
+				$this->set_var($dtime, 'min', (int) (substr($var, 11, 2)));
+				$this->set_var($dtime, 'sec', (int) (substr($var, 13, 2)));
+				if (strlen($var) > 14) {
+					if (substr($var, 14, 1) != 'Z') {
+						if ($this->api) {
 								$dtime['hour'] -= $GLOBALS['phpgw_info']['users']['common']['tz_offset'];
-								if($dtime['hour'] < 0)
-								{
+							if ($dtime['hour'] < 0) {
 									$dtime['mday'] -= 1;
 									$dtime['hour'] = 24 - $dtime['hour'];
 								}
-								elseif($dtime['hour'] >= 24)
-								{
+							elseif ($dtime['hour'] >= 24) {
 									$dtime['mday'] += 1;
 									$dtime['hour'] = $dtime['hour'] - 24;
@@ -2039,7 +1888,5 @@
 							}
 						}
-					}
-					else
-					{
+				} else {
 						/*
 						* The time provided by the iCal is considered local time.
@@ -2062,20 +1909,15 @@
 						//					}
 					}
-				}
-				else
-				{
-					$this->set_var($dtime,'hour',0);
-					$this->set_var($dtime,'min',0);
-					$this->set_var($dtime,'sec',0);
-					if($this->api)
-					{
+			} else {
+				$this->set_var($dtime, 'hour', 0);
+				$this->set_var($dtime, 'min', 0);
+				$this->set_var($dtime, 'sec', 0);
+				if ($this->api) {
 						$dtime['hour'] -= $GLOBALS['phpgw_info']['users']['common']['tz_offset'];
-						if($dtime['hour'] < 0)
-						{
+					if ($dtime['hour'] < 0) {
 							$dtime['mday'] -= 1;
 							$dtime['hour'] = 24 - $dtime['hour'];
 						}
-						elseif($dtime['hour'] >= 24)
-						{
+					elseif ($dtime['hour'] >= 24) {
 							$dtime['mday'] += 1;
 							$dtime['hour'] = $dtime['hour'] - 24;
